### Function

# Camel header_msgid_generate

#### Declaration [src]

    gchar*
    camel_header_msgid_generate (
      const gchar* domain
    )

#### Description [src]

Either the `domain` is used, or the user’s local hostname, in case it’s `NULL` or empty.

#### Parameters

`domain`

  Type: `const gchar*`

  Domain to use (like “example.com”) for the ID suffix; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Unique message ID.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.